Package org.drinkless.tdlib

# Class TdApi.SendGroupCallMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SendGroupCallMessage

Enclosing class:
  `TdApi`

public static class TdApi.SendGroupCallMessage extends TdApi.Function<TdApi.Ok>
Sends a message to other participants of a group call. Requires groupCall.canSendMessages right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `long`
  `paidMessageStarCount`
  The number of Telegram Stars the user agreed to pay to send the message; for live stories only; 0-getOption("paid_group_call_message_star_count_max").
  `TdApi.FormattedText`
  `text`
  Text of the message to send; 1-getOption("group_call_message_text_length_max") characters for non-live-stories; see updateGroupCallMessageLevels for live story restrictions, which depends on paidMessageStarCount.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendGroupCallMessage()`
  Default constructor for a function, which sends a message to other participants of a group call.
  `SendGroupCallMessage(int groupCallId, TdApi.FormattedText text, long paidMessageStarCount)`
  Creates a function, which sends a message to other participants of a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### text

    public TdApi.FormattedText text
    Text of the message to send; 1-getOption("group_call_message_text_length_max") characters for non-live-stories; see updateGroupCallMessageLevels for live story restrictions, which depends on paidMessageStarCount. Can't contain line feeds for live stories. Can contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities for live stories.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The number of Telegram Stars the user agreed to pay to send the message; for live stories only; 0-getOption("paid_group_call_message_star_count_max"). Must be 0 for messages sent to live stories posted by the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendGroupCallMessage

    public SendGroupCallMessage()
    Default constructor for a function, which sends a message to other participants of a group call. Requires groupCall.canSendMessages right.

    Returns `Ok`

  - ### SendGroupCallMessage

    public SendGroupCallMessage(int groupCallId, TdApi.FormattedText text, long paidMessageStarCount)
    Creates a function, which sends a message to other participants of a group call. Requires groupCall.canSendMessages right.

    Returns `Ok`

    Parameters:
      `groupCallId` - Group call identifier.
      `text` - Text of the message to send; 1-getOption("group_call_message_text_length_max") characters for non-live-stories; see updateGroupCallMessageLevels for live story restrictions, which depends on paidMessageStarCount. Can't contain line feeds for live stories. Can contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities for live stories.
      `paidMessageStarCount` - The number of Telegram Stars the user agreed to pay to send the message; for live stories only; 0-getOption("paid_group_call_message_star_count_max"). Must be 0 for messages sent to live stories posted by the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR